Fijación de Eclipse después de romper con ADT

SDK Manager me dijo que tenía actualizaciones y me actualizó de la versión 21 a 22, luego dijo que debería buscar actualizaciones. Estoy ejecutando eclipse / ADT empaquetado desde el mes pasado, Juno versión 4.2.1

En Eclipse cuando se inició confirmó esto y dijo ADT estaba desfasada y debo actualizar. Ejecución de la actualización dijo que no hay nuevas actualizaciones.

Así que entonces intenté "instalar el nuevo software" y seleccionar http://dl-ssl.google.com/android/eclipse/ , después escoge las herramientas. Obtengo el siguiente error después de confirmar que deseo realizar una actualización ya que ya la tengo instalada.

Gracias. ¿Por qué cae Eclipse cada vez que una instalación de plugin / actualización está involucrada (bueno, lo hace para mí :()

An error occurred while collecting items to be installed session context was:(profile=profile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=). No repository found containing: osgi.bundle,com.android.ide.eclipse.adt,22.0.0.v201305140200--675183 No repository found containing: osgi.bundle,com.android.ide.eclipse.adt.package,22.0.0.v201305140200--675183 No repository found containing: osgi.bundle,com.android.ide.eclipse.base,22.0.0.v201305140200--675183 No repository found containing: osgi.bundle,com.android.ide.eclipse.ddms,22.0.0.v201305140200--675183 No repository found containing: osgi.bundle,com.android.ide.eclipse.gldebugger,22.0.0.v201305140200--675183 No repository found containing: osgi.bundle,com.android.ide.eclipse.hierarchyviewer,22.0.0.v201305140200--675183 No repository found containing: osgi.bundle,com.android.ide.eclipse.traceview,22.0.0.v201305140200--675183 No repository found containing: osgi.bundle,overlay.com.android.ide.eclipse.adt.overlay,22.0.0.v201305140200--675183 No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.adt,22.0.0.v201305140200--675183 No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.ddms,22.0.0.v201305140200--675183 No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.gldebugger,22.0.0.v201305140200--675183 No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.hierarchyviewer,22.0.0.v201305140200--675183 No repository found containing: org.eclipse.update.feature,com.android.ide.eclipse.traceview,22.0.0.v201305140200--675183 

3 Solutions collect form web for “Fijación de Eclipse después de romper con ADT”

  • Descargar manualmente zip y, a continuación, la intención de uso de URL que zip. Los detalles se mencionan aquí. http://developer.android.com/sdk/installing/installing-adt.html#Troubleshooting
  • Ayuda> Instalar nuevo software – luego elija el enlace .. Seleccione las actualizaciones para instalar y, a continuación, crucialmente, desmarque "Póngase en contacto con todos los sitios de actualización durante la instalación para encontrar el software necesario".

Cambie la dirección de ubicación de http: // a https: //

Ir al menú Eclipse Ventana -> Preferencias luego Instalar / Actualizar -> Sitios de software disponibles, seleccione "Sitio de actualización de herramientas de desarrollo de Android" y haga clic en "Editar"

Tuve un problema similar y pasé horas intentando las soluciones anteriores y las que aparecen en https://code.google.com/p/android/issues/detail?id=60149 . Nada funcionó para mí.

Por último, reinstalé el complemento de eclipse (Ayuda-> Instalar nuevo software-Agregar y, a continuación, uso https://dl-ssl.google.com/android/eclipse/ ). Esto fue simple y funcionó. Creo que esto fue todo debido a un error en eclipse que esta nueva versión de plugin arreglado.

(Más detalles aquí: http://developer.android.com/sdk/installing/installing-adt.html )

  • Emulador para samsung galaxy tab 10.1
  • Trabajar con NDK en Eclipse
  • El complemento de Android para Eclipse (ADT) desaparece después de la actualización de SDK 20
  • Eclipse github plugin: Cometer cambios de error - Entrada no encontrada por path
  • "Error de parámetro de línea de comandos no válido" al intentar hacer un ejemplo de mundo hola para Android
  • Cómo obtener el archivo APK de mi proyecto
  • Plugin ADT para Android no aparece en Eclipse
  • Cómo ejecutar Sencha Touch Application en Eclipse
  • No se encontró error de repositorio en la instalación de ADT en eclipse Indigo
  • Fuentes Eclipse Zoom out & Zoom in Issue
  • Plugin Android de Eclipse que no incluye atributos con autocompletar para componentes personalizados
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.